SDK 3.0.1 - not running

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Member II

SDK 3.0.1 - not running

Jump to solution

Hello,

I am testing alfresco AIO SDK 3.0.1 as in the Getting started with Alfresco SDK 3.0 | Alfresco Documentation  

run.sh not working. I am getting the following error:

2018-02-28 15:18:45,055 ERROR [solr.tracker.AbstractTracker] [org.alfresco.solr.AlfrescoCoreAdminHandler@22ce14b1_Worker-6] Model tracking failed
org.alfresco.error.AlfrescoRuntimeException: 01280006 GetModelsDiff return status is 404
at org.alfresco.solr.client.SOLRAPIClient.getModelsDiff(SOLRAPIClient.java:1181)
at org.alfresco.solr.tracker.ModelTracker.trackModelsImpl(ModelTracker.java:256)
at org.alfresco.solr.tracker.ModelTracker.trackModels(ModelTracker.java:214)
at org.alfresco.solr.tracker.ModelTracker.ensureFirstModelSync(ModelTracker.java:236)
at org.alfresco.solr.component.EnsureModelsComponent.prepare(EnsureModelsComponent.java:87)
at org.apache.solr.handler.component.AlfrescoSearchHandler.handleRequestBody(AlfrescoSearchHandler.java:292)
at org.apache.solr.handler.RequestHandlerBase.handleRequest(RequestHandlerBase.java:135)
at org.alfresco.solr.Cloud.getResponse(Cloud.java:166)
at org.alfresco.solr.Cloud.getSolrDocumentList(Cloud.java:150)
at org.alfresco.solr.SolrInformationServer.getDocsWithUncleanContent(SolrInformationServer.java:722)
at org.alfresco.solr.tracker.ContentTracker.doTrack(ContentTracker.java:81)
at org.alfresco.solr.tracker.AbstractTracker.track(AbstractTracker.java:190)
at org.alfresco.solr.tracker.TrackerJob.execute(TrackerJob.java:54)
at org.quartz.core.JobRunShell.run(JobRunShell.java:216)
at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:563)

Any idea how to fix this error?

Thanks in advance.

My environment:

Apache Maven 3.5.2 (138edd61fd100ec658bfa2d307c43b76940a5d7d; 2017-10-18T09:58:13+02:00)
Maven home: /usr/local/Cellar/maven/3.5.2/libexec
Java version: 1.8.0_161, vendor: Oracle Corporation
Java home: /Library/Java/JavaVirtualMachines/jdk1.8.0_161.jdk/Contents/Home/jre
Default locale: en_BE, platform encoding: UTF-8
OS name: "mac os x", version: "10.13.3", arch: "x86_64", family: "mac"

1 Solution

Accepted Solutions
Highlighted
Alfresco Employee

Re: SDK 3.0.1 - not running

Jump to solution

The problem is that you (probably) has Spring Loaded being included by your MAVEN_OPTS. Due to previous configurations in your environment (as Spring Loaded was used till Alfresco SDK 2.2.0).

You can solve the problem by removing that configuration from your MAVEN_OPTS or by configuring the new HotSwap Agent / JRebel agent tools available from Alfresco SDK 3.0

Software Engineer in Alfresco Search Team.

View solution in original post

6 Replies
Highlighted
Senior Member II

Re: SDK 3.0.1 - not running

Jump to solution

Please add full error log , better you you add it in a file.This is just the solr tracking error part.

Highlighted
Established Member II

Re: SDK 3.0.1 - not running

Jump to solution

i don't remember if it was the same error but try to use maven 3.3.3

I had problem too with maven 3.5.2

Highlighted
Member II

Re: SDK 3.0.1 - not running

Jump to solution

mvn 3.3 didn't help. Thanks

Highlighted
Alfresco Employee

Re: SDK 3.0.1 - not running

Jump to solution

The real problem is dumped some lines above that HTTP 404 from SOLR (this only shows that SOLR is not connecting to Alfresco Repo as this has not been started). If you scroll up in your log, you'll find:

org.alfresco.error.AlfrescoRuntimeException: 02020000 Bootstrap failed: org.apache.commons.collections.functors.* unsafe serialization classes found in classpath.

You can find handling information and workarounds for this issue at https://issues.alfresco.com/jira 

https://issues.alfresco.com/jira/browse/ALF-21568 

https://issues.alfresco.com/jira/browse/ACE-5004 

It seems something related to Spring Loaded configuration.

Software Engineer in Alfresco Search Team.
Highlighted
Alfresco Employee

Re: SDK 3.0.1 - not running

Jump to solution

The problem is that you (probably) has Spring Loaded being included by your MAVEN_OPTS. Due to previous configurations in your environment (as Spring Loaded was used till Alfresco SDK 2.2.0).

You can solve the problem by removing that configuration from your MAVEN_OPTS or by configuring the new HotSwap Agent / JRebel agent tools available from Alfresco SDK 3.0

Software Engineer in Alfresco Search Team.

View solution in original post

Highlighted
Member II

Re: SDK 3.0.1 - not running

Jump to solution

Thanks a lot Angel. The issue was related to a previous configuration where springloaded was part of MAVEN_OPTS.